function onPageLoaded() {
    IDAL.getControlInterfaces()
        .then(onControlInterfaceAvailable);
}

function onControlInterfaceAvailable(iface) {
    // Process input contact events
    window.addEventListener('idal-contact-event', function(e)
    {
        var detail = e.detail; // Get the returned detail of the event into a variable
        if (detail.values[0] == true) // If the triggered input is the input contact 1
        {
          iface.player.stop().then(function() {iface.player.playFolder(101);});
        }
    });
}

window.addEventListener("load", onPageLoaded);
